%define _22iconsdir %_iconsdir/hicolor/22x22/apps
Summary: Network manager for kde
Name: kwlan
Version: 0.6.3
Release: alt1
License: GPL
Group: Networking/Other
Packager: Boris Savelev <boris@altlinux.org>
Url: http://sourceforge.net/projects/kwlan/
Source: %name-%version.tar.gz

# Automatically added by buildreq on Mon Sep 22 2008
BuildRequires: doxygen gcc-c++ gcc-fortran graphviz imake kdelibs-devel libXt-devel libjpeg-devel libwireless-devel qt3-designer qt3-doc-html xml-utils xorg-cf-files

%description
Allows you to configure different network profiles using all encryptions wpa_supplicant provides (wep, wpa, wpa2 etc) for wireless networks.
Since version 0.4.5 kwlan can connect to unencrypted networks if wpa_supplicant is not available.
Kwlan can also store profiles for wired networks.
Dialup networks can be edited and connected to as well.
Systray icons show connection statistics per interface (can be disabled).

%prep
%setup

%build
%configure
%make_build

%install
%makeinstall_std
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README NEWS ChangeLog AUTHORS COPYING
%_bindir/%name
%_desktopdir/%name.desktop
%_Kapps/%name
%_liconsdir/%name
%_liconsdir/%{name}*.png
%_22iconsdir/%name
%_22iconsdir/%{name}*.png

%changelog
* Mon Sep 22 2008 Boris Savelev <boris@altlinux.org> 0.6.3-alt1
- initial build

